import 'package:json_annotation/json_annotation.dart';

/// Тип проверки карты
enum CheckType {
  /// NO – сохранить карту без проверок. Rebill ID для рекуррентных платежей не возвращается;
  @JsonValue('NO')
  no,

  /// HOLD – при сохранении сделать списание на 0 руб.*
  /// RebillID возвращается для терминалов без поддержки 3DS.
  @JsonValue('HOLD')
  hold,

  /// 3DS – при сохранении карты выполнить проверку 3DS и выполнить списание на 0 р.*
  /// В этом случае RebillID будет только для 3DS карт.
  /// Карты, не поддерживающие 3DS, привязаны не будут.
  @JsonValue('3DS')
  threeDS,

  /// 3DSHOLD – при привязке карты выполняем проверку, поддерживает карта 3DS или нет.
  /// Для карт МИР с 3DS v1 выполняется списание, а затем отмена на 1р.
  /// Для прочих карт выполняется списание на 0р.
  @JsonValue('3DSHOLD')
  threeDSHold,
}
